Skip to main content
DELETE
Delete topic

Authorizations

Authorization
string
header
required

Can be either an Organization API Key or Personal Access Token (PAT).

Include in the Authorization header as: Bearer YOUR_TOKEN

Path Parameters

modelId
string<uuid>
required

The ID of the model.

Example:

"123e4567-e89b-12d3-a456-426614174000"

topicName
string
required

The name of the topic.

Example:

"sales_analytics"

Query Parameters

branch_id
string<uuid>

Branch ID to use for branch-aware operations

Example:

"123e4567-e89b-12d3-a456-426614174001"

mode
enum<string>
default:COMBINED

Controls delete behavior to match IDE editing modes:

  • COMBINED - Default. Adds the topic to deletedTopics if it exists in the parent model
  • MERGED behaves the same as COMBINED
  • EXTENSION hard-deletes the topic from the extension layer
Available options:
COMBINED,
MERGED,
EXTENSION
Example:

"COMBINED"

Response

Topic deleted successfully

success
boolean
Example:

true